# Generated by rust2rpm 26
#
# The IGVM upstream project uses cargo workspaces. It includes a Rust library crate
# and a C static library, wrapping the Rust library.
# Packaging cargo workspace projects is problematic at the moment, see
# https://pagure.io/fedora-rust/cargo2rpm/issue/5
#
# Since therea are currently no users of the Rust crate in Fedora, we only package the C part here.
#

%bcond_without check
%global debug_package %{nil}

Name:           igvm
Version:        0.3.2
Release:        %autorelease
Summary:        Igvm crate is an implementation of a parser for the Independent Guest Virtual Machine

License:        MIT
URL:            https://crates.io/crates/igvm
Source0:        file://./igvm.tar.xz

BuildRequires: CUnit-devel
BuildRequires: cargo-rpm-macros >= 24
BuildRequires: cbindgen
BuildRequires: gettext-envsubst

%description

The igvm Rust crate is an implementation of a parser for the Independent
Guest Virtual Machine (IGVM) file format.
This package includes the dump_igvm cli tool.


%package devel
Summary: C static library for IGVM file parsing

%description devel

The igvm Rust crate is an implementation of a parser for the Independent
Guest Virtual Machine (IGVM) file format.
This is the C development package, providing a static library.


%prep
%autosetup -v -n %{name}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
make -C igvm_c

%install
make -C igvm_c PREFIX=/usr DESTDIR=%{buildroot} install

%files
%doc README.md SUPPORT.md
%license LICENSE
/usr/bin/dump_igvm

%files devel
%doc README.md SUPPORT.md
%license LICENSE
%dir /usr/include/igvm
/usr/include/igvm/igvm_defs.h
/usr/include/igvm/igvm.h
/usr/lib64/libigvm.a
%dir /usr/lib64/pkgconfig
/usr/lib64/pkgconfig/igvm.pc

%changelog
%autochangelog
